//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace dabirmodel
{
    using System;
    using System.Collections.Generic;
    
    public partial class tbl_letter
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public tbl_letter()
        {
            this.tbl_erja = new HashSet<tbl_erja>();
        }
    
        public decimal id_letter { get; set; }
        public string sh_letter { get; set; }
        public string dte_letter { get; set; }
        public string moz_letter { get; set; }
        public Nullable<decimal> fer_id_letter { get; set; }
        public Nullable<decimal> gir_id_letter { get; set; }
        public Nullable<decimal> user_id_letter { get; set; }
        public Nullable<decimal> page_id_letter { get; set; }
        public string dte_sabt_letter { get; set; }
        public string con_letter { get; set; }
        public string att_letter { get; set; }
        public Nullable<int> kind_letter { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<tbl_erja> tbl_erja { get; set; }
        public virtual tbl_fergir tbl_fer { get; set; }
        public virtual tbl_fergir tbl_gir { get; set; }
        public virtual tbl_page tbl_page { get; set; }
        public virtual tbl_user tbl_user { get; set; }
    }
}
